/* sm2.h
 *	Copyright (C) 2024 Free Software Foundation, Inc.
 *
 * This file is free software; as a special exception the author gives
 * unlimited permission to copy and/or distribute it, with or without
 * modifications, as long as this notice is preserved.
 *
 * This file is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE.
 */

#ifndef GNUPG_COMMON_SM2_H
#define GNUPG_COMMON_SM2_H

#include <gcrypt.h>
#include <errno.h>
#include <gpg-error.h>

gpg_error_t update_sm2_hash_md (gcry_md_hd_t md, gcry_mpi_t pkey);
gpg_error_t update_sm2_hash_value (unsigned char *msg, size_t msglen, gcry_sexp_t s_pkey, unsigned char *result);

#endif /*GNUPG_COMMON_SM2_H*/
